QGIS Application - Bug report #17005
spatial bookmarks can't be sorted
2017-08-10 06:50 PM - Steven Mizuno

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24904
Description

The column sort indicator shows, but clicking on column headers does not actually sort. The indicator changes direction, but that is all
that occurs.

Initially, the name column header shows ascending order, but the column isn't sorted.

This is a regression from 2.14; 2.18 does not sort either.

I am using OSGeo4W nightly build on Windows 8.1 64-bit system.

Associated revisions

Revision 8233a8fb - 2017-11-30 06:37 PM - Alessandro Pasotti

[bugfix] Bookmarks sorting with a proxy model

Fixes #17005 spatial bookmarks can't be sorted

| believe that this has been broken since https://github.com/qgis/QGIS/pull/2661

Revision 15ffcb43 - 2017-12-21 04:45 PM - Alessandro Pasotti

[bookmarks] Case insensitive sorting

Fixes #17005

History

#1 - 2017-08-11 09:22 AM - Giovanni Manghi
- Affected QGIS version changed from master to 2.18.11

#2 - 2017-11-29 02:35 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#3 - 2017-11-30 06:38 PM - Alessandro Pasotti

- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes
https://github.com/qgis/QGIS/pull/2661

An attempt to fix this messy model is in PR: https://github.com/qgis/QGIS/pull/5776

Please give it atry.

#4 - 2017-12-01 11:53 AM - Anonymous
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|8233a8fbdc3416f3eac9c6c0cf8d4adcObfc8b7d.

#5 - 2017-12-02 06:25 PM - Giovanni Manghi
- Resolution set to fixed/implemented

#6 - 2017-12-11 08:32 PM - Steven Mizuno

- Status changed from Closed to Reopened

- Affected QGIS version changed from 2.18.11 to master

Reopened because master (010cb1567b) still does not sort bookmarks.

| used Python Console to find the bookmarks list, on which isSortingEnabled() is false. Then using setSortingEnabled(True) does allow sorting.

2.18.15 does sort.

#7 - 2017-12-12 02:53 PM - Alessandro Pasotti

Thanks for the feedback, I've made a PR with the fixes, https://github.com/qgis/QGIS/pull/5852

I'd appreciate if you could test them when committed.

#8 - 2017-12-12 10:22 PM - Steven Mizuno

Thanks for the attention, | will test as soon as | can.

Two minor things have occurred to me.
1. The sorting probably should be case insensitive. | believe most users would appreciate this.
2. The SRID column more properly should be CRS or possibly Projection, in keeping with usage elsewhere.

Please see #17674 export/import issues

#9 - 2017-12-14 06:59 PM - Steven Mizuno

Alessandro,
| have tested the Spatial Bookmarks fixes in master (ea49c8276¢ latest rev. | tried) and believe they are working correctly.
- creating bookmarks
- moving bookmarks to/from project, including saving/loading project
- exporting
- importing, including starting with no bookmarks
https://github.com/qgis/QGIS/pull/5776
https://github.com/qgis/QGIS/pull/5852

- sorting various columns
- editing bookmarks (SRID can't be edited with the current implementation)

| have also tested internationalization, which hasn't been mentioned as a problem, but | did think to test -- this is OK.
| used Python Console to update a bookmark's extent, by finding the IstBookmarks object and setting the x..., y... values and the srid value, too.

I would very much appreciate the two items in my previous comment being implemented. | have tried

setSortCaseSensitivity( Qt::Caselnsensitive ) in the QgsBookmarksProxyModel constructor to get case insensitive sorting to work.

One last very minor problem: the title of the Spatial Bookmarks Panel somehow acquired an ampersand in one of the commits. It shows as "Sp&atial"... --

ggsbookmarksbase.ui is the affected file.

Thank you very much.

#10 - 2017-12-21 05:23 PM - Anonymous
- Status changed from Reopened to Closed

Applied in changeset commit:qgis|15ffcb4345861ed1d0c68e8891e6503b3cdeb437.
